﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SpreadWpfChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
      
        public MainWindow()
        {
            InitializeComponent();


            GrapeCity.Windows.SpreadSheet.Data.SpreadDataSeries ds = new GrapeCity.Windows.SpreadSheet.Data.SpreadDataSeries();
            ds.Values.Add(-0.01);
            ds.Values.Add(-0.03);
            ds.Values.Add(-0.05);
            ds.Values.Add(-0.09);
            ds.Values.Add(-0.06);
            ds.Values.Add(-0.08);
            ds.Values.Add(-0.06);
            ds.Values.Add(-0.13);
            ds.Values.Add(-0.15);
            ds.Values.Add(-0.16);
            ds.Values.Add(-0.07);
            ds.Values.Add(-0.11);

            //ds.Fill = new SolidColorBrush(Colors.Transparent);

            ds.InvertIfNegative = true;
            ds.NegativeFill = new SolidColorBrush(Colors.Blue);
            ds.Name = " ";          
            ds.StrokeThickness = 2;                
            GrapeCity.Windows.SpreadSheet.Data.SpreadChart chart = gcSpreadSheet1.ActiveSheet.AddChart("chart", GrapeCity.Windows.SpreadSheet.Data.SpreadChartType.Line, ""," ","", 50, 50, 500, 400);
            
            chart.AxisX.MajorTickPosition = GrapeCity.Windows.SpreadSheet.Data.AxisTickPosition.OutSide;
            chart.AxisX.AxisPosition = GrapeCity.Windows.SpreadSheet.Data.AxisPosition.Far;
            chart.AxisX.CrossAt = 0000;

            chart.AxisX.DisplayUnit = 2;
            chart.AxisX.Max = 15;                   
            //chart.AxisX.AutoMin = true;
            //chart.AxisX.AutoMax = true;           
            chart.AxisX.MajorUnit = 3;           
            GrapeCity.Windows.SpreadSheet.Data.Legend l = new GrapeCity.Windows.SpreadSheet.Data.Legend();
            l.Alignment = GrapeCity.Windows.SpreadSheet.Data.LegendAlignment.TopCenter;           
            l.FontSize = 0;
            chart.Legend = l;
            chart.DataSeries.Add(ds);
          
        }
    }
}
